import Taro, { useLoad } from '@tarojs/taro'
import React from 'react'
import { View } from '@tarojs/components'
import './index.less'

const myPluginInterface = Taro.requirePlugin('myPlugin')

const Index: React.FC = () => {
  useLoad(() => {
  })

  function onEmitOpenMiniProgram(appId, path) {
    Taro.openEmbeddedMiniProgram({
      appId,
      path,
      envVersion: 'trial'
    })
  }
  // 测试 ADY_17097254415021673
  // 正式 ADY_17103126327291030
  return (
    <View className='index'>
      <custom props={{ onEmitOpenMiniProgram, adpId: 'ADY_17103126327291030', width:250 }}/>
    </View>
  )
}

export default Index
